stages:
  - deploy

stage:
  stage: deploy
  tags:
    - macros
  script:
    - | 
        sudo echo "enter in website macros htdocs dir"
        cd /opt/bitnami/apache2/htdocs
        sudo chmod 777 -R admin/
        sudo echo "git reset hard"
        sudo git reset --hard
        sudo echo "git pull from master branch"
        sudo git remote set-url origin git@gitlab.apptology.in:gary/macros-backend.git
        sudo git remote -v 
        sudo git pull origin master
        sudo chown -R bitnami:bitnami * .*
